| Home | Libraries | People | FAQ | More

## Struct template max_pointer_plus_bits<void *, Alignment>

boost::intrusive::max_pointer_plus_bits<void *, Alignment>

## Synopsis

    // In header: <boost/intrusive/pointer_plus_bits.hpp>

    template<std::size_t Alignment>
    struct max_pointer_plus_bits<void *, Alignment> {

      // public data members
      static const std::size_t value;
    };

## Description

This is a specialization for raw pointers. Raw pointers can embed extra bits in the lower bits if the alignment is multiple of 2pow(NumBits).